package com.ihaoin.hooloo.device.data.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

public class Goods implements Serializable {
    /** 商品id */
    private Integer goodsId;
    /** 名称 */
    private String name;
    /** 原价 */
    private BigDecimal price;
    /** 折扣价 */
    private BigDecimal discount;
    /** 介绍 */
    private String desc;
    /** 备注 */
    private String remarks;
    /** 图片信息 */
    private Pics pics;
    /** 规格 */
    private List<GoodsSpec> specs;
    /** 标签 */
    private List<String> tags;
    /** SKU */
    private List<Sku> skus;
    /** 是否是推荐商品 */
    private Integer isRecommend;

    public Integer getIsRecommend() {
        return isRecommend;
    }

    public void setIsRecommend(Integer isRecommend) {
        this.isRecommend = isRecommend;
    }

    public Integer getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Pics getPics() {
        return pics;
    }

    public void setPics(Pics pics) {
        this.pics = pics;
    }

    public List<GoodsSpec> getSpecs() {
        return specs;
    }

    public void setSpecs(List<GoodsSpec> specs) {
        this.specs = specs;
    }

    public List<String> getTags() {
        return tags;
    }

    public void setTags(List<String> tags) {
        this.tags = tags;
    }

    public List<Sku> getSkus() {
        return skus;
    }

    public void setSkus(List<Sku> skus) {
        this.skus = skus;
    }
}
